#ifndef MKF_IDENTIFIER_HPP_INCLUDED
#define MKF_IDENTIFIER_HPP_INCLUDED


#include<cstddef>


class
Identifier
{
  char  buffer[64];

  size_t  length;

public:
  Identifier(              );
  Identifier(const char*  p);


  Identifier&  operator=(const char*  p);

  bool  operator==(const Identifier&  rhs) const;

  const char*  get_buffer() const;

  size_t  get_length() const;

  bool  compare(const char*  s) const;

};




#endif




